Douyin Creator Marketplace (Xingtu) Creator Search API (V3)
DEPRECATED
This endpoint is deprecated and may be removed in future versions.
GET
/api/douyin-xingtu/search-for-author-square/v3
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...
Get Douyin Creator Marketplace (Xingtu) creator Search data, including filters, returning profile, and audience, for discovery, comparison, and shortlist building.
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
token | query | string | Yes | - | User authentication token. |
page | query | integer | Yes | - | Page number. |
fansLow | query | integer | Yes | - | Minimum fans count. |
fansHigh | query | integer | Yes | - | Maximum fans count. |
Code Samples
bash
curl -X GET "https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3?token=YOUR_API_KEY&page=0&fansLow=0&fansHigh=0"text
I want to use the "Creator Search (V3)" API from Just One API.
API Endpoint: https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3
HTTP Method: GET
Authentication: Append "?token=YOUR_API_KEY" to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/douyin-creator-marketplace-xingtu/creator-search-v3-deprecated-en.json
Parameters:
- token (query): User authentication token. (Required)
- page (query): Page number. (Required)
- fansLow (query): Minimum fans count. (Required)
- fansHigh (query): Maximum fans count. (Required)
Return format: JSON
Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set request timeout to at least 60 seconds.
3. Business Code Reference:
- 0: Success
- 100: Invalid or Inactive Token
- 301: Collection Failed. Please Retry.
- 302: Rate Limit Exceeded
- 303: Daily Quota Exceeded
- 400: Invalid Parameters
- 500: Internal Server Error
- 600: Permission Denied
- 601: Insufficient Balance
Please help me write a script in my preferred programming language to call this API and handle the response.python
import requests
url = "https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3?token=YOUR_API_KEY&page=0&fansLow=0&fansHigh=0"
response = requests.get(url)
print(response.json())js
const response = await fetch("https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3?token=YOUR_API_KEY&page=0&fansLow=0&fansHigh=0", {
method: "GET"
});
const data = await response.json();
console.log(data);java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3?token=YOUR_API_KEY&page=0&fansLow=0&fansHigh=0"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
url := "https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3?token=YOUR_API_KEY&page=0&fansLow=0&fansHigh=0"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/douyin-xingtu/search-for-author-square/v3?token=YOUR_API_KEY&page=0&fansLow=0&fansHigh=0");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;Responses
OK
